Package org.silverpeas.looks.aurora

# Class LookSettings

java.lang.Object
org.silverpeas.looks.aurora.LookSettings

public class LookSettings extends Object

Author:
  Nicolas Eysseric

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookSettings(org.silverpeas.kernel.bundle.SettingBundle settings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDateFormat()`
  `String`
  `getDefaultHomepageURL()`
  `String`
  `getEventDateFormat()`
  `String`
  `getEventsAppURL()`
  `String`
  `getExtraJavascriptForBanner()`
  `String`
  `getExtraJavascriptForHome()`
  `String`
  `getExtraJavascriptForSpaceHomepage()`
  `String`
  `getHelpURL()`
  `String`
  `getLogo()`
  `String`
  `getNoBookmarksFragmentURL()`
  `String`
  `getPersonalHomepageURL()`
  `boolean`
  `isDelegatedNews()`
  `boolean`
  `isDisplayAppIcons()`
  `boolean`
  `isDisplayBookmarksAreaWhenEmpty()`
  `boolean`
  `isDisplayConnectedUsers()`
  `boolean`
  `isDisplayContextualPDC()`
  `boolean`
  `isDisplayDirectoryForAnonymous()`
  `boolean`
  `isDisplayDirectoryForGuest()`
  `boolean`
  `isDisplayEphemeris()`
  `boolean`
  `isDisplayLastSubscribedNews()`
  `boolean`
  `isDisplayMegaMenu()`
  `boolean`
  `isDisplayMenuAppIcons()`
  `boolean`
  `isDisplayMenuAppsFirst()`
  `boolean`
  `isDisplayMenuSubElements()`
  `boolean`
  `isDisplayPDCDedicatedFrame()`
  `boolean`
  `isDisplayPDCInNavigationFrame()`
  `boolean`
  `isDisplaySearchOnHome()`
  `boolean`
  `isExtraSearchFieldPeriodUsed()`
  `boolean`
  `isExtraSearchFieldSpaceUsed()`
  `boolean`
  `isLabelsInsideSelectOnTaxonomy()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LookSettings

    public LookSettings(org.silverpeas.kernel.bundle.SettingBundle settings)

- ## Method Details

  - ### getHelpURL

    public String getHelpURL()

  - ### isDisplayMenuSubElements

    public boolean isDisplayMenuSubElements()

  - ### isDisplayMenuAppsFirst

    public boolean isDisplayMenuAppsFirst()

  - ### isDisplayMenuAppIcons

    public boolean isDisplayMenuAppIcons()

  - ### getLogo

    public String getLogo()

  - ### isDisplayConnectedUsers

    public boolean isDisplayConnectedUsers()

  - ### isDisplayEphemeris

    public boolean isDisplayEphemeris()

  - ### getEventDateFormat

    public String getEventDateFormat()

  - ### isDelegatedNews

    public boolean isDelegatedNews()

  - ### isDisplayLastSubscribedNews

    public boolean isDisplayLastSubscribedNews()

  - ### isDisplayBookmarksAreaWhenEmpty

    public boolean isDisplayBookmarksAreaWhenEmpty()

  - ### getNoBookmarksFragmentURL

    public String getNoBookmarksFragmentURL()

  - ### isDisplaySearchOnHome

    public boolean isDisplaySearchOnHome()

  - ### getEventsAppURL

    public String getEventsAppURL()

  - ### getDefaultHomepageURL

    public String getDefaultHomepageURL()

  - ### getPersonalHomepageURL

    public String getPersonalHomepageURL()

  - ### isDisplayAppIcons

    public boolean isDisplayAppIcons()

  - ### isDisplayPDCInNavigationFrame

    public boolean isDisplayPDCInNavigationFrame()

  - ### isDisplayContextualPDC

    public boolean isDisplayContextualPDC()

  - ### isDisplayPDCDedicatedFrame

    public boolean isDisplayPDCDedicatedFrame()

  - ### isLabelsInsideSelectOnTaxonomy

    public boolean isLabelsInsideSelectOnTaxonomy()

  - ### isDisplayMegaMenu

    public boolean isDisplayMegaMenu()

  - ### getDateFormat

    public String getDateFormat()

  - ### isExtraSearchFieldPeriodUsed

    public boolean isExtraSearchFieldPeriodUsed()

  - ### isExtraSearchFieldSpaceUsed

    public boolean isExtraSearchFieldSpaceUsed()

  - ### getExtraJavascriptForHome

    public String getExtraJavascriptForHome()

  - ### getExtraJavascriptForBanner

    public String getExtraJavascriptForBanner()

  - ### getExtraJavascriptForSpaceHomepage

    public String getExtraJavascriptForSpaceHomepage()

  - ### isDisplayDirectoryForAnonymous

    public boolean isDisplayDirectoryForAnonymous()

  - ### isDisplayDirectoryForGuest

    public boolean isDisplayDirectoryForGuest()